Subject: Re: MPC5121 CAN and USB

From: David Jander <[email-masked]>
Date: Mon, 19 Oct 2009 08:46:51 +0200

On Friday 16 October 2009 01:10:05 am Wolfgang Denk wrote:
> Dear Paul,
> 
> In message <[email-masked]> you 
wrote:
> > > The "ltib-mpc5121ads-20090602" branch reflects the exact state of the
> > > kernel contained in the LTIB with this name (dated July 2009, despite
> > > the name; based at 2.6.24.6, i. e. 7+ kernel versions behind).
> >
> > I have diff'ed this and it is very similar to the ltib in the BSP.
> > The MBX patches may be missing though.  These patches can be obtained
> > via the Freescale SDK for the OpenGL on the MPC5121e webpage.
> 
> Who cares. This code is about 8 (!) kernel releases behind. Scrap
> it.

I would love to, but as it stands, this is still the best we can get for the 
MPC5121e :-(
I took that branch, merged the MBX patch in from the LTIB and ported the new 
NFC driver from the 'mpc512x' branch back to this one, since the original 
driver is buggy. 
The latest OpenGL-ES libraries and MBX drivers released are closed-source, 
buggy, but stable and seem to work well if your program doesn't do the kinds 
of things that make it crash. 
If you know the limitations of this and can live with it, it might be 
bearable... I don't have any other option :-(

Best regards,

-- 
David Jander
Protonic Holland.